Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class LockObjectDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SystemObjectDefinition
              oracle.ifs.beans.LockObjectDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  SystemLockObjectDefinition

    public class LockObjectDefinition

extends SystemObjectDefinition

The LockObjectDefinition class is used to define an instance of a LockObject. The only attribute that is required to be set on a LockObjectDefinition is the LockState. Refer to the documentation for LockObject for a definition of the various lock states supported out-of-the-box.
The LockHolder and LockedForSession attributes are automatically set by the server for USERLOCK's and SESSIONLOCK's respectively. The LockTimeOut is used for time based locks and it is the actual time at which the Lock on a PublicObject should expire.
After constructing this definition, use `po.lock(LockObjectDefinition)` to lock the PublicObject.

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`LockObjectDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`LockObjectDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`DirectoryUser` | `getLockHolder()` Deprecated. CM SDK 10gR2: use getLockHolderValue()
`AttributeValue` | `getLockHolderValue()` Get the lock holder for lock
`int` | `getLockState()` Deprecated. CM SDK 10gR2: use getLockStateValue()
`AttributeValue` | `getLockStateValue()` get the value for the lockstate of this lock
`java.util.Date` | `getLockTimeOut()` get the value for the TimeOut of this lock
`void` | `setLockHolder(DirectoryUser du)` Deprecated. CM SDK 10gR2: use setLockHolderValue( AttributeValue.newAttributeValue(du));
`void` | `setLockHolderValue(AttributeValue av)` Set the lock holder for lock
`void` | `setLockState(int lockstate)` Deprecated. CM SDK 10gR2: use setLockStateValue()
`void` | `setLockStateValue(AttributeValue av)` Set the LockState for the LockObject
`void` | `setLockTimeOut(java.util.Date timeout)` Set the LockTime Out for the LockObject

Methods inherited from class oracle.ifs.beans.SystemObjectDefinition
`addCategoryDefinition, addCategoryDefinitionForUpdate, addCategoryDefinitions, addCategoryForDelete, getCategoriesForDelete, getCategoryDefinitions, getCategoryDefinitionsForUpdate, getCreateCategoriesServerSideOption, removeCategoriesForDelete, removeCategoryDefinitions, removeCategoryDefinitionsForUpdate, setCategoryDefinitions, setCreateCategoriesServerSideOption, toSystemObjectDefinition, toSystemObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockObjectDefinition

    public LockObjectDefinition(LibrarySessionInterface session)
                         throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be LockObject.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### LockObjectDefinition

    public LockObjectDefinition(LibrarySessionInterface session,
                                java.lang.String className)
                         throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setLockState

    public void setLockState(int lockstate)
                      throws IfsException

  Deprecated. CM SDK 10gR2: use setLockStateValue()

  Description copied from class: `LockObjectDefinition`
  Set the LockState for the LockObject

  Parameters:
    `lockstate` - the integer LockState to be set
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `LockObject`
  (Published)

### setLockStateValue

    public void setLockStateValue(AttributeValue av)
                           throws IfsException

  Description copied from class: `LockObjectDefinition`
  Set the LockState for the LockObject

  Parameters:
    `av` - - attribute value that represents the integer lockstate to be set
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `LockObject`
  (Published)

### getLockState

    public int getLockState()
                     throws IfsException

  Deprecated. CM SDK 10gR2: use getLockStateValue()

  Description copied from class: `LockObjectDefinition`
  get the value for the lockstate of this lock

  Returns:
    the integer LockState
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLockStateValue

    public AttributeValue getLockStateValue()
                                     throws IfsException

  Description copied from class: `LockObjectDefinition`
  get the value for the lockstate of this lock

  Returns:
    the LockState value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setLockTimeOut

    public void setLockTimeOut(java.util.Date timeout)
                        throws IfsException

  Description copied from class: `LockObjectDefinition`
  Set the LockTime Out for the LockObject

  Parameters:
    `timeout` - the actual time at which this lock should automatically expire
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `LockObject`
  (Published)

### getLockTimeOut

    public java.util.Date getLockTimeOut()
                                  throws IfsException

  Description copied from class: `LockObjectDefinition`
  get the value for the TimeOut of this lock

  Returns:
    the timeout value for this lock or null if there is no time-out specified on the definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setLockHolder

    public void setLockHolder(DirectoryUser du)
                       throws IfsException

  Deprecated. CM SDK 10gR2: use setLockHolderValue( AttributeValue.newAttributeValue(du));

  Description copied from class: `LockObjectDefinition`
  Set the lock holder for lock

  Parameters:
    `du` - The directoryUser to be set as the lockholder. This is relevant only for USERLOCKs
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setLockHolderValue

    public void setLockHolderValue(AttributeValue av)
                            throws IfsException

  Description copied from class: `LockObjectDefinition`
  Set the lock holder for lock

  Parameters:
    `av` - The directoryUser value to be set as the lockholder. This is relevant only for USERLOCK's
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getLockHolder

    public DirectoryUser getLockHolder()
                                throws IfsException

  Deprecated. CM SDK 10gR2: use getLockHolderValue()

  Description copied from class: `LockObjectDefinition`
  get the value for the lockholder on this lock or null if there is no lockholder. This is relevant only for USERLOCK's

  Returns:
    the DirectoryUser that is the LockHolder or null if there is no lock holder on the definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getLockHolderValue

    public AttributeValue getLockHolderValue()
                                      throws IfsException

  Description copied from class: `LockObjectDefinition`
  Get the lock holder for lock

  Returns:
    the DirectoryUser value that is the LockHolder
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD